<definitions targetNamespace="PSIM" xmlns:wsr="http://www.openuri.org/2002/10/soap/reliability/" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/"
	xmlns="http://schemas.xmlsoap.org/wsdl/" xmlns:soap12enc="http://www.w3.org/2003/05/soap-encoding" xmlns:s="http://www.w3.org/2001/XMLSchema"
	xmlns:tns="PSIM" xmlns:http="http://schemas.xmlsoap.org/wsdl/http/" xmlns:conv="http://www.openuri.org/2002/04/wsdl/conversation/" xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/"
	xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/">
	<message name="compareIdentities">
		<part name="string" type="partns:string" xmlns:partns="http://www.w3.org/2001/XMLSchema" />
	</message>
	<message name="compareIdentitiesResponse">
		<part name="result" type="partns:string" xmlns:partns="http://www.w3.org/2001/XMLSchema" />
	</message>
	<message name="getAuditResult">
		<part name="requestXML" type="partns:string" xmlns:partns="http://www.w3.org/2001/XMLSchema" />
	</message>
	<message name="getAuditResultResponse">
		<part name="result" type="partns:string" xmlns:partns="http://www.w3.org/2001/XMLSchema" />
	</message>
	<message name="getCorrespondingIds">
		<part name="vpidstr" type="partns:string" xmlns:partns="http://www.w3.org/2001/XMLSchema" />
	</message>
	<message name="getCorrespondingIdsResponse">
		<part name="result" type="partns:string" xmlns:partns="http://www.w3.org/2001/XMLSchema" />
	</message>
	<message name="searchIdentity">
		<part name="searchXML" type="partns:string" xmlns:partns="http://www.w3.org/2001/XMLSchema" />
	</message>
	<message name="searchIdentityResponse">
		<part name="result" type="partns:string" xmlns:partns="http://www.w3.org/2001/XMLSchema" />
	</message>
	<message name="execute">
		<part name="requestXML" type="partns:string" xmlns:partns="http://www.w3.org/2001/XMLSchema" />
	</message>
	<message name="executeResponse">
		<part name="result" type="partns:string" xmlns:partns="http://www.w3.org/2001/XMLSchema" />
	</message>
	<message name="control">
		<part name="requestXML" type="partns:string" xmlns:partns="http://www.w3.org/2001/XMLSchema" />
	</message>
	<message name="controlResponse">
		<part name="result" type="partns:string" xmlns:partns="http://www.w3.org/2001/XMLSchema" />
	</message>
	<message name="validate">
		<part name="requestXML" type="partns:string" xmlns:partns="http://www.w3.org/2001/XMLSchema" />
	</message>
	<message name="validateResponse">
		<part name="result" type="partns:string" xmlns:partns="http://www.w3.org/2001/XMLSchema" />
	</message>
	<message name="domainExecute">
		<part name="requestXML" type="partns:string" xmlns:partns="http://www.w3.org/2001/XMLSchema" />
	</message>
	<message name="domainExecuteResponse">
		<part name="result" type="partns:string" xmlns:partns="http://www.w3.org/2001/XMLSchema" />
	</message>
	<portType name="PSIMWebServicePort">
		<operation name="compareIdentities">
			<input message="tns:compareIdentities" />
			<output message="tns:compareIdentitiesResponse" />
		</operation>
		<operation name="getAuditResult">
			<input message="tns:getAuditResult" />
			<output message="tns:getAuditResultResponse" />
		</operation>
		<operation name="getCorrespondingIds">
			<input message="tns:getCorrespondingIds" />
			<output message="tns:getCorrespondingIdsResponse" />
		</operation>
		<operation name="searchIdentity">
			<input message="tns:searchIdentity" />
			<output message="tns:searchIdentityResponse" />
		</operation>
		<operation name="execute">
			<input message="tns:execute" />
			<output message="tns:executeResponse" />
		</operation>
		<operation name="control">
			<input message="tns:control" />
			<output message="tns:controlResponse" />
		</operation>
		<operation name="validate">
			<input message="tns:validate" />
			<output message="tns:validateResponse" />
		</operation>
		<operation name="domainExecute">
			<input message="tns:domainExecute" />
			<output message="tns:domainExecuteResponse" />
		</operation>
	</portType>
	<binding name="PSIMWebServicePort" type="tns:PSIMWebServicePort">
		<soap:binding style="rpc" transport="http://schemas.xmlsoap.org/soap/http" />
		<operation name="compareIdentities">
			<soap:operation style="rpc" soapAction="" />
			<input>
				<soap:body use="literal" namespace="PSIM" />
			</input>
			<output>
				<soap:body use="literal" namespace="PSIM" />
			</output>
		</operation>
		<operation name="getAuditResult">
			<soap:operation style="rpc" soapAction="" />
			<input>
				<soap:body use="literal" namespace="PSIM" />
			</input>
			<output>
				<soap:body use="literal" namespace="PSIM" />
			</output>
		</operation>
		<operation name="getCorrespondingIds">
			<soap:operation style="rpc" soapAction="" />
			<input>
				<soap:body use="literal" namespace="PSIM" />
			</input>
			<output>
				<soap:body use="literal" namespace="PSIM" />
			</output>
		</operation>
		<operation name="searchIdentity">
			<soap:operation style="rpc" soapAction="" />
			<input>
				<soap:body use="literal" namespace="PSIM" />
			</input>
			<output>
				<soap:body use="literal" namespace="PSIM" />
			</output>
		</operation>
		<operation name="execute">
			<soap:operation style="rpc" soapAction="" />
			<input>
				<soap:body use="literal" namespace="PSIM" />
			</input>
			<output>
				<soap:body use="literal" namespace="PSIM" />
			</output>
		</operation>
		<operation name="control">
			<soap:operation style="rpc" soapAction="" />
			<input>
				<soap:body use="literal" namespace="PSIM" />
			</input>
			<output>
				<soap:body use="literal" namespace="PSIM" />
			</output>
		</operation>
		<operation name="validate">
			<soap:operation style="rpc" soapAction="" />
			<input>
				<soap:body use="literal" namespace="PSIM" />
			</input>
			<output>
				<soap:body use="literal" namespace="PSIM" />
			</output>
		</operation>
		<operation name="domainExecute">
			<soap:operation style="rpc" soapAction="" />
			<input>
				<soap:body use="literal" namespace="PSIM" />
			</input>
			<output>
				<soap:body use="literal" namespace="PSIM" />
			</output>
		</operation>
	</binding>
	<service name="PSIMWebService">
		<port name="PSIMWebServicePort" binding="tns:PSIMWebServicePort">
			<soap:address location="REPLACE_WITH_URL" />
		</port>
	</service>
</definitions>
